Langsung ke konten utama
GET
/
v3
/
pages
/
{id}
Get a landing page
curl --request GET \
  --url https://api.scalev.com/v3/pages/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": 123,
  "unique_id": "<string>",
  "name": "<string>",
  "slug": "<string>",
  "is_published": true,
  "published_at": "2023-11-07T05:31:56Z",
  "store_id": 123,
  "store": {},
  "tags": [
    "<string>"
  ],
  "is_pinned": true,
  "created_by": {},
  "last_updated_by": {},
  "created_at": "2023-11-07T05:31:56Z",
  "last_updated_at": "2023-11-07T05:31:56Z",
  "uuid": "<string>",
  "business": {},
  "is_sending_email_invoice": true,
  "is_disable_custom_font": true,
  "is_disable_client_tagging": true,
  "custom_domains": [
    {}
  ],
  "homepage_custom_domains": [
    {}
  ],
  "current_page_display_id": 123,
  "page_display": {
    "id": 123,
    "version": 123,
    "schema_version": 123,
    "created_at": "2023-11-07T05:31:56Z",
    "created_by_id": 123,
    "is_published": true,
    "published_at": "2023-11-07T05:31:56Z",
    "html_code": "<string>",
    "css_code": "<string>",
    "js_code": "<string>",
    "additional_head_code": "<string>",
    "csp_policy": {
      "connect_src": [
        "<string>"
      ],
      "img_src": [
        "<string>"
      ],
      "script_src": [
        "<string>"
      ],
      "style_src": [
        "<string>"
      ],
      "frame_src": [
        "<string>"
      ]
    },
    "form_display": {
      "id": 123,
      "store": {},
      "variants": [
        {}
      ],
      "bundle_price_options": [
        {}
      ],
      "after_submit_event": "<string>",
      "handler_assignment": "<string>",
      "store_sales_person": {},
      "custom_phone": "<string>",
      "other_page": {},
      "custom_url": "<string>",
      "onsubmit_fb_events": [
        "<string>"
      ],
      "onsubmit_tiktok_events": [
        "<string>"
      ],
      "onsubmit_kwai_client_events": [
        "<string>"
      ],
      "onsubmit_kwai_server_events": [
        "<string>"
      ]
    },
    "fb_pixels": [
      {}
    ],
    "tiktok_pixels": [
      {}
    ],
    "kwai_client_pixels": [
      {}
    ],
    "kwai_server_pixels": [
      {}
    ]
  }
}

Otorisasi

Authorization
string
header
wajib

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Parameter Path

id
integer
wajib

Numeric Scalev landing page ID.

Respons

Landing page

id
integer
unique_id
string
name
string
slug
string
render_mode
enum<string>
Opsi yang tersedia:
builder,
html_mode
is_published
boolean
published_at
string<date-time> | null
store_id
integer | null
store
object
tags
string[]
is_pinned
boolean
created_by
object
last_updated_by
object
created_at
string<date-time>
last_updated_at
string<date-time>
uuid
string
business
object
is_sending_email_invoice
boolean
is_disable_custom_font
boolean
is_disable_client_tagging
boolean
client_analytics_config
enum<string> | null
Opsi yang tersedia:
head,
body_close_delay,
web_worker
custom_domains
object[]
homepage_custom_domains
object[]
current_page_display_id
integer | null
page_display
object